%define	module	Gimp

Summary:	Perl module enabling to write plugins for the Gimp2
Name:		perl-%module
Epoch:		1
Version:	2.0
Release:	4mdk
License:	GPL or Artistic
Group:		Development/GNOME and GTK+
Source0:	%module-%{version}.tar.bz2
Patch0:		Gimp-2.0pre1-fix-build.patch.bz2
URL:		http://gtk2-perl.sf.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk+2-devel perl-devel libgimp-devel > 2.0
BuildRequires:	perl-Gtk2 perl-PDL perl-Parse-RecDescent perl-ExtUtils-Depends
Requires:	gtk+2 libgtk+2, perl-Glib >= 1.021
Provides:	gimp-perl = %epoch:%version
Obsoletes:	gimp-perl < %epoch:2.0

%description
This module provides perl access to the Gimp2 libraries.

%prep
%setup -q -n %module-%version
%patch0 -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"
#%make test || :

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins/
# fix build:
cp -af /usr/bin/gimptool-2.0 .
perl -pi -e "s@gimpplugindir=%{_libdir}/gimp/2.0@gimpplugindir=$RPM_BUILD_ROOT%{_libdir}/gimp/2.0@" gimptool-2.0
perl -pi -e "s@/usr/bin/(gimptool-2.0 --install-admin-bin)@\1@" Makefile
export PATH=$PWD:$PATH
%makeinstall PREFIX=$RPM_BUILD_ROOT%_prefix INSTALLDIRS=vendor

# fix conflict with gimp-1:
rm -f $RPM_BUILD_ROOT%_mandir/man1/embedxpm.*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* examples
%_bindir/*
%_mandir/*/*
%_libdir/gimp/2.0/plug-ins/*
%_prefix/lib/perl5/*
#%{perl_vendorlib}/%module
#%{perl_vendorlib}/%module.pm
#%{perl_vendorlib}/auto/*

%changelog
* Wed Aug 31 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1:2.0-4mdk
- Rebuild, fix installation process

* Mon Apr 18 2005 Giuseppe Ghib <ghibo@mandriva.com> 1:2.0-3mdk
- Fixed X86-64 building.

* Tue Nov 23 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.0-2mdk
- rebuild for new perl

* Mon May 17 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-1mdk
- new release

* Tue Apr 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.0-0.pre2_4mdk
- even more buildrequires *grf*

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.0-0.pre2_3mdk
- whoppsy, yet another buildrequires caught!
- get rid of cvs files

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.0-0.pre2_2mdk
- fix buildrequires
- spec cosmetics

* Fri Mar 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-0.pre2_1mdk
- initial release
